SoVRMLLight(3)

NAME
SoVRMLLight - The SoVRMLLight class is a superclass for VRML light nodes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLLight.h>

Inherits SoNode.

Inherited by SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFBool on
SoSFFloat intensity
SoSFColor color
SoSFFloat ambientIntensity

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLLight (void)
virtual ~SoVRMLLight ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLLight class is a superclass for VRML light nodes.

Constructor & Destructor Documentation

  SoVRMLLight::SoVRMLLight (void) [protected]
Constructor.

  SoVRMLLight::~SoVRMLLight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLLight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLLight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

  const SoFieldData ** SoVRMLLight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLLight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

  void SoVRMLLight::initClass (void) [static]

  void SoVRMLLight::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Reimplemented in SoVRMLDirectionalLight, SoVRMLPointLight, and SoVRMLSpotLight.

Member Data Documentation

  SoSFBool SoVRMLLight::on
Enable/disable light. Default value is TRUE.

  SoSFFloat SoVRMLLight::intensity
The light intensity. A value from 0 to 1. Default value is 1.

  SoSFColor SoVRMLLight::color
The light color. Default value is (1, 1, 1).

  SoSFFloat SoVRMLLight::ambientIntensity
The light ambient intensity. A value from 0 to 1. Default value is 0.

Author

Generated automatically by Doxygen for Coin from the source code.